Index: src/FLEXPART.f90
===================================================================
--- src/FLEXPART.f90	(revision 414a5e52bd4f4b3d5e120e95de3c6b7c518ab456)
+++ src/FLEXPART.f90	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -62,5 +62,6 @@
   ! FLEXPART version string
   ! flexversion='Version 9.2 beta (2014-07-01)'
-  flexversion='Version 9.2.0.1 (2015-01-27)'
+  !flexversion='Version 9.2.0.1 (2015-01-27)'
+  flexversion='Version 9.2.0.2 (2015-03-01)'
   ! default inlide options
   inline_options='none'
@@ -113,5 +114,4 @@
        endif
        print*, 'verbosity level=', verbosity !inline_options(index_v+1:index_v+1)
-              
     endif
     !iif (trim(inline_options).eq.'-v2') then
@@ -121,31 +121,22 @@
 
     if (index(inline_options,'i').gt.0) then   
-    !if (trim(inline_options).eq.'-i') then
        index_v=index(inline_options,'i')
-       print*, 'Info mode: provide run specific information and stop'
+       print*, 'Info mode: provide compile and run specific information, then stop'
        verbosity=1
        info_flag=1
-       !if (trim(inline_options).eq.'-i2') then
        if (inline_options(index_v+1:index_v+1).eq.'2') then
-           print*, 'Including input files'
-       !   verbosity=1
        info_flag=2
        endif
     endif
-    !if (trim(inline_options).eq.'-i2') then
-    !   print*, 'Info mode: provide more detailed run specific information and stop'
-    !   verbosity=1
-    !   info_flag=2
-    !endif
     if (index(inline_options,'t').gt.0) then
        time_flag=1
-       print*, 'timing execution: not implemented'
+       print*, 'timing execution activated'
        !stop
     endif
     if (index(inline_options,'d').gt.0) then
        debug_flag=1
-       print*, 'debug: not implemented'
+       print*, 'debug messages activated'
        print*, 'debug_flag=', debug_flag
-       !stop
+       !these messages give additional info on top on verbose mode
     endif 
   endif
@@ -186,5 +177,5 @@
 
   if (verbosity.gt.0) then
-    write(*,*) 'call readcommand'
+    write(*,*) 'FLEXPART> call readcommand'
   endif
   call readcommand
@@ -202,5 +193,5 @@
   !********************************
   if (verbosity.gt.0) then
-    write(*,*) 'call readageclasses'
+    write(*,*) 'FLEXPART> call readageclasses'
   endif
   call readageclasses
@@ -215,5 +206,5 @@
 
   if (verbosity.gt.0) then
-    write(*,*) 'call readavailable'
+    write(*,*) 'FLEXPART> call readavailable'
   endif  
   call readavailable
@@ -234,5 +225,5 @@
 
   if (verbosity.gt.0) then
-    write(*,*) 'call gridcheck_nests'
+    write(*,*) 'FLEXPART> call gridcheck_nests'
   endif  
   call gridcheck_nests
@@ -296,5 +287,5 @@
 
   if (verbosity.gt.0) then
-    print*,'call readdepo'
+    print*,'FLEXPART> call readdepo'
   endif
   call readdepo
@@ -305,5 +296,5 @@
   call coordtrafo  
   if (verbosity.gt.0) then
-    print*,'call coordtrafo'
+    print*,'FLEXPART> call coordtrafo'
   endif
 
@@ -312,5 +303,5 @@
 
   if (verbosity.gt.0) then
-    print*,'Initialize all particles to non-existent'
+    print*,'FLEXPART> Initialize all particles to non-existent'
   endif
   do j=1,maxpart
@@ -323,10 +314,10 @@
   if (ipin.eq.1) then
     if (verbosity.gt.0) then
-      print*,'call readpartpositions'
+      print*,'FLEXPART> call readpartpositions'
     endif
     call readpartpositions
   else
     if (verbosity.gt.0) then
-      print*,'set numpart=0, numparticlecount=0'
+      print*,'FLEXPART> set numpart=0, numparticlecount=0'
     endif    
     numpart=0
@@ -339,5 +330,5 @@
 
   if (verbosity.gt.0) then
-    print*,'call outgrid_init'
+    print*,'FLEXPART> call outgrid_init'
   endif
   call outgrid_init
@@ -349,5 +340,5 @@
   if (OHREA.eqv..TRUE.) then
     if (verbosity.gt.0) then
-      print*,'call readOHfield'
+      print*,'FLEXPART> call readOHfield'
     endif
     call readOHfield
@@ -359,5 +350,5 @@
 
   if (verbosity.gt.0) then
-    print*,'call writeheader'
+    print*,'FLEXPART> call variuos writeheader routines'
   endif
 
@@ -373,5 +364,5 @@
 
   if (verbosity.gt.0) then
-    print*,'call openreceptors'
+    print*,'FLEXPART> call openreceptors'
   endif
   call openreceptors
@@ -382,5 +373,5 @@
 
   if (verbosity.gt.0) then
-    print*,'discretize release times'
+    print*,'FLEXPART> discretize release times'
   endif
   do i=1,numpoint
@@ -393,5 +384,5 @@
 
   if (verbosity.gt.0) then
-    print*,'Initialize cloud-base mass fluxes for the convection scheme'
+    print*,'FLEXPART> Initialize cloud-base mass fluxes for the convection scheme'
   endif
 
@@ -417,9 +408,9 @@
   endif
   if (info_flag.eq.2) then
-    print*, 'info only mode (stop before call timemanager)'
+    print*, 'FLEXPART> info only mode (stop before call timemanager)'
     stop
   endif
   if (verbosity.gt.0) then
-     print*,'call timemanager'
+     print*,'FLEXPART> call timemanager'
   endif
 
Index: src/gridcheck.f90
===================================================================
--- src/gridcheck.f90	(revision 6470a473fbfddbb6309750e0e18693000f2acefb)
+++ src/gridcheck.f90	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -286,4 +286,12 @@
     yaux1=yaux1in
     yaux2=yaux2in
+     if (verbosity.gt.1) then
+        print*, 'longitudeOfFirstGridPointInDegrees', xaux1in
+        print*, 'longitudeOfLastGridPointInDegrees ', xaux2in
+        print*, 'latitudeOfLastGridPointInDegrees  ', yaux1in
+        print*, 'latitudeOfFirstGridPointInDegrees ', yaux2in
+ 
+     endif 
+ 
     if (xaux1.gt.180.) xaux1=xaux1-360.0
     if (xaux2.gt.180.) xaux2=xaux2-360.0
@@ -445,9 +453,9 @@
   write(*,'(a,2i7)') ' Vertical levels in ECMWF data: ', &
        nuvz+1,nwz
-  write(*,*)
-  write(*,'(a)') 'gridcheck> Mother domain:'
-  write(*,'(a,f10.5,a,f10.5,a,f10.5)') 'gridcheck>  Longitude range: ', &
+  !write(*,*)
+  write(*,'(a)') ' Mother domain:'
+  write(*,'(a,f10.5,a,f10.5,a,f10.5)') ' Longitude range: ', &
        xlon0,' to ',xlon0+(nx-1)*dx,'   Grid distance: ',dx
-  write(*,'(a,f10.5,a,f10.5,a,f10.5)') 'gridcheck>  Latitude range : ', &
+  write(*,'(a,f10.5,a,f10.5,a,f10.5)') ' Latitude range : ', &
        ylat0,' to ',ylat0+(ny-1)*dy,'   Grid distance: ',dy
   write(*,*)
Index: src/makefile
===================================================================
--- src/makefile	(revision da396a2871f09772dff5066880929c71462ea4ae)
+++ src/makefile	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -6,5 +6,6 @@
 LIBPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/lib
 LIBPATH2 =   /usr/lib/x86_64-linux-gnu/
-FFLAGS   =   -O2           -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -I$(INCPATH)
+#FFLAGS   =   -O2           -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -I$(INCPATH)
+FFLAGS   =    -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -I$(INCPATH)
 #FFLAGS   =   -fbounds-check -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -I$(INCPATH)
 LDFLAGS  = $(FFLAGS) -L$(LIBPATH2) -L$(LIBPATH1) -lgrib_api_f90 -lgrib_api -lm -ljasper
Index: src/readpaths.f90
===================================================================
--- src/readpaths.f90	(revision 18c1336f298f7280ee592e7b9026b47c656eeefe)
+++ src/readpaths.f90	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -65,5 +65,5 @@
 
   if (verbosity.gt.0) then
-      print*, 'path read', i, '=',  path(i)
+      print*, 'path read', i, '=',  trim(path(i))
   end if
     
@@ -72,18 +72,21 @@
 
     do i=1,numpath
- 
     string_test = path(i)
     character_test = string_test(length(i):length(i))
-    !print*, 'character_test,  string_test ', character_test,  string_test 
-      if ((character_test .NE. '/') .AND. (i .LT. 4))  then
+    ! print*, 'character_test,  string_test ', character_test,  string_test 
+    ! include nested fields
+      if ((character_test .NE. '/') .AND. ((i .LT. 4) .OR. (i .EQ. 5) ))  then
+         if (verbosity.gt.0) then 
          print*, 'readpaths> WARNING: path not ending in /' 
          print*, path(i)
+         endif
          path(i) = string_test(1:length(i)) // '/'
          length(i)=length(i)+1
+         if (verbosity.gt.0) then 
          print*, 'fix: padded with /' 
          print*, path(i)
          print*, 'length(i) increased 1',  length(i) 
+         endif
       endif
-
     end do
 
@@ -107,9 +110,9 @@
 30   numbnests=i-1
 
-  if (verbosity.gt.0) then
-      do i=1,numpath
-      print*, 'path tested', i, '=',  path(i)
-      end do 
-  end if
+  !if (verbosity.gt.0) then
+  !    do i=1,numpath
+  !    print*, 'path tested', i, '=',  path(i)
+  !    end do 
+  !end if
 
   close(unitpath)
Index: src/readreleases.f90
===================================================================
--- src/readreleases.f90	(revision 242571ddd9bf11b07fcd8a317319daf2651c1e2a)
+++ src/readreleases.f90	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -259,5 +259,7 @@
   if (stat.ne.0) write(*,*)'ERROR: could not allocate xmasssave'
 
-  write (*,*) 'readreleases> Releasepoints : ', numpoint
+  if (verbosity.gt.0) then
+    write (*,*) 'readreleases> Releasepoints : ', numpoint
+  endif
 
   do i=1,numpoint
@@ -367,7 +369,11 @@
       WETDEP=.true.
       write (*,*) 'Below-cloud scavenging: ON'
+      if (verbosity.gt.0) then
       write (*,*) 'Below-cloud scavenging coefficients: ',weta(i),i
+      endif
     else
+      if (verbosity.gt.0) then
       write (*,*) 'Below-cloud scavenging: OFF'
+      endif
     endif
     
@@ -376,7 +382,11 @@
       WETDEP=.true.
       write (*,*) 'In-cloud scavenging: ON'
+      if (verbosity.gt.0) then 
       write (*,*) 'In-cloud scavenging coefficients: ',weta_in(i),wetb_in(i), wetc_in(i), wetd_in(i),i
-    else
-      write (*,*) 'In-cloud scavenging: OFF' 
+      endif  
+  else
+      if (verbosity.gt.0) then
+      write (*,*) 'In-cloud scavenging: OFF'
+      endif 
     endif
 
Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision b4d29ce9942e7817568d557b23ac2d4ccb3bfb37)
+++ src/timemanager.f90	(revision b7ae015d9987e02b895735f00b6858ce5318800a)
@@ -140,4 +140,7 @@
 
   do itime=0,ideltas,lsynctime
+    if (verbosity.gt.0) then
+           write (*,*) 'timemanager>  itime=', itime
+    endif
 
 
@@ -197,7 +200,7 @@
   !******************
 
-    if (verbosity.gt.0) then
-           write (*,*) 'timemanager>  Release particles'
-    endif 
+    !if (verbosity.gt.0) then
+    !       write (*,*) 'timemanager>  Release particles'
+    !endif 
 
     if (mdomainfill.ge.1) then
@@ -215,5 +218,5 @@
     else
       if (verbosity.gt.0) then
-        print*,'call releaseparticles'  
+        print*,'timemanager> call releaseparticles'  
       endif
       call releaseparticles(itime)
